<?php

namespace xenarabia\MYMMSMSG\XF\Entity;

use XF\Mvc\Entity\Structure;

class User extends XFCP_User
{
    public static function getStructure(Structure $structure)
	{

		$structure = parent::getStructure($structure);

		$structure->columns += [
			'user_my_mms' => ['type' => self::UINT, 'default' => 0]
		];

		$structure->relations['MyMsgs'] = [
			'entity' => 'xenarabia\MYMMSMSG\XF:MmsMsgs',
			'type' => self::TO_ONE,
			'conditions' => [['mms_id', '=', '$user_my_mms']],
			'primary' => true
	];
  

		return $structure;
	}



}